function dedt = wave_2d_odefun_1(t,e,X,Y,N,del2e)
%% Wave with a sigmoid loss in y
%E = reshape(e(1:N^2),N,N); % Electric field
% Sigmoid box
S = (sigmoid_step(Y,1,0,0.5,10)+sigmoid_step(Y,0,1,-0.5,10))/2;
l = 1-S(:); % Loss potential
dedt = [e(N^2+1:end) - l.*e(1:N^2); del2e(e(1:N^2))];
end